Skip to main content
POST
/
biochar_applications
Post Biochar Application
curl --request POST \
  --url https://api.sandbox.isometric.com/mrv/v0/biochar_applications \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'x-client-secret: <x-client-secret>' \
  --data '
{
  "application_date": "2023-12-25",
  "average_application_rate": {
    "magnitude": 123,
    "unit": "<string>",
    "standard_deviation": 123
  },
  "production_batch_id": "ptb_1GAFJ4C051S06E0Z",
  "project_id": "prj_1CTWZQGKE1S0VAXA",
  "storage_site_id": "slc_1F3PMGVC91S0SBK3",
  "supplier_reference_id": "<string>",
  "truck_mass_on_arrival": {
    "magnitude": 123,
    "unit": "<string>",
    "standard_deviation": 123
  },
  "truck_mass_on_departure": {
    "magnitude": 123,
    "unit": "<string>",
    "standard_deviation": 123
  },
  "source_ids": []
}
'
import requests

url = "https://api.sandbox.isometric.com/mrv/v0/biochar_applications"

payload = {
"application_date": "2023-12-25",
"average_application_rate": {
"magnitude": 123,
"unit": "<string>",
"standard_deviation": 123
},
"production_batch_id": "ptb_1GAFJ4C051S06E0Z",
"project_id": "prj_1CTWZQGKE1S0VAXA",
"storage_site_id": "slc_1F3PMGVC91S0SBK3",
"supplier_reference_id": "<string>",
"truck_mass_on_arrival": {
"magnitude": 123,
"unit": "<string>",
"standard_deviation": 123
},
"truck_mass_on_departure": {
"magnitude": 123,
"unit": "<string>",
"standard_deviation": 123
},
"source_ids": []
}
headers = {
"x-client-secret": "<x-client-secret>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-client-secret': '<x-client-secret>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
application_date: '2023-12-25',
average_application_rate: {magnitude: 123, unit: '<string>', standard_deviation: 123},
production_batch_id: 'ptb_1GAFJ4C051S06E0Z',
project_id: 'prj_1CTWZQGKE1S0VAXA',
storage_site_id: 'slc_1F3PMGVC91S0SBK3',
supplier_reference_id: '<string>',
truck_mass_on_arrival: {magnitude: 123, unit: '<string>', standard_deviation: 123},
truck_mass_on_departure: {magnitude: 123, unit: '<string>', standard_deviation: 123},
source_ids: []
})
};

fetch('https://api.sandbox.isometric.com/mrv/v0/biochar_applications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "application_date": "2023-12-25",
  "average_application_rate": {
    "magnitude": 123,
    "unit": "<string>",
    "standard_deviation": 123
  },
  "ghg_entry_id": "rmv_1EEM6NJXX1S0EXKD",
  "id": "bse_1F1FDSGPE1S0374B",
  "production_batch_id": "ptb_1GAFJ4C051S06E0Z",
  "removal_id": "rmv_1EEM6NJXX1S0EXKD",
  "storage_location_id": "slc_1F3PMGVC91S0SBK3",
  "supplier_reference_id": "<string>",
  "truck_mass_on_arrival": {
    "magnitude": 123,
    "unit": "<string>",
    "standard_deviation": 123
  },
  "truck_mass_on_departure": {
    "magnitude": 123,
    "unit": "<string>",
    "standard_deviation": 123
  },
  "uploaded_at": "2023-11-07T05:31:56Z"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"ctx": {},
"input": "<unknown>"
}
]
}

Authorizations

Authorization
string
header
required

A JWT Bearer token header for authentication and authorization, in the format Authorization: Bearer <token>

Headers

x-client-secret
string
required

A secret token identifying the client connecting to the API

Example:

"Syou3EZiO5vuMEgNyBeA8cjEMYOnQDwP"

Body

application/json
application_date
string<date>
required

Date in ISO format (YYYY-MM-DD)

average_application_rate
ScalarQuantity · object
required
production_batch_id
string
required
Required string length: 20 - 37
Examples:

"ptb_1GAFJ4C051S06E0Z"

"ptb_1FQVMJYTASBXSZT8"

project_id
string
required
Required string length: 20 - 37
Examples:

"prj_1CTWZQGKE1S0VAXA"

"prj_1E0QTWB22SBX34D1"

storage_site_id
string
required
Required string length: 20 - 37
Examples:

"slc_1F3PMGVC91S0SBK3"

"slc_1DCY5K78BSBX3XMZ"

supplier_reference_id
string
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200
truck_mass_on_arrival
ScalarQuantity · object
required
truck_mass_on_departure
ScalarQuantity · object
required
source_ids
string[]
Required string length: 20 - 37

Response

Successful Response

application_date
string<date>
required
average_application_rate
ScalarQuantity · object
required
ghg_entry_id
string | null
required
Required string length: 20 - 37
Example:

"rmv_1EEM6NJXX1S0EXKD"

id
string
required
Required string length: 20 - 37
Examples:

"bse_1F1FDSGPE1S0374B"

"bse_1DGG1R6DZSBXACD8"

production_batch_id
string
required
Required string length: 20 - 37
Examples:

"ptb_1GAFJ4C051S06E0Z"

"ptb_1FQVMJYTASBXSZT8"

removal_id
string | null
required
Required string length: 20 - 37
Example:

"rmv_1EEM6NJXX1S0EXKD"

storage_location_id
string
required
Required string length: 20 - 37
Examples:

"slc_1F3PMGVC91S0SBK3"

"slc_1DCY5K78BSBX3XMZ"

supplier_reference_id
string | null
required

A string that must be unique for all resources created by a specific supplier. It can be used by a client to identify the correct objects in their system.

Required string length: 1 - 200
truck_mass_on_arrival
ScalarQuantity · object
required
truck_mass_on_departure
ScalarQuantity · object
required
uploaded_at
string<date-time>
required